## jaraco.itertools 2.0.1

=== tests/requirements.txt ===
pytest >= 2.8
subprocess32; python_version=="2.6"

=== debian/changelog ===
jaraco.itertools (2.0.1-5) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove MIA uploader Ethan Ward <ethan.ward@mycroft.ai>. Closes: #971864
  * Bump debhelper from old 11 to 13.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dh-python.

  [ Jeroen Ploemen ]
  * Patches: add python-3.10.patch, courtesy of Steve Langasek (Closes:
    #1001344).
  * Control: bump Standards-Version to 4.6.0 (from 4.2.1; no further
    changes); set Rules-Requires-Root: no.
  * Source: set extend-diff-ignore option to enable building twice in a
    row.
  * Watch: bump file version to 4 (from 3).
  * Control: point Homepage to github rather than pypi.
  * Copyright: add myself as a copyright holder.
  * Tests: use py3versions -s rather than -r.

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 28 Dec 2021 17:01:09 +0000

jaraco.itertools (2.0.1-4) unstable; urgency=medium

  * Team upload.
  * Require newer dh-python which cleans .pytest_cache directory
  * Revert removing of pytest_cache manually
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Sat, 03 Aug 2019 21:44:40 +0200

jaraco.itertools (2.0.1-3) unstable; urgency=medium

  * Team upload.
  * Remove pytest cache directory after tests have run

 -- Nicolas Dandrimont <olasd@debian.org>  Tue, 25 Sep 2018 13:19:04 +0200

jaraco.itertools (2.0.1-2) unstable; urgency=medium

  * Team upload.
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * Convert git repository from git-dpm to gbp layout
  * Add Python 3.7 support (Closes: #903523)
  * Bump debhelper compat level to 11
  * Bump standards version to 4.2.1 (no changes)

 -- Ondřej Nový <onovy@debian.org>  Mon, 27 Aug 2018 14:46:47 +0200

jaraco.itertools (2.0.1-1) unstable; urgency=medium

  * Initial Debian packaging (closes: #869105)

 -- Ethan Ward <ethan.ward@mycroft.ai>  Mon, 17 Jul 2017 10:14:08 -5000

=== debian/control ===
Source: jaraco.itertools
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-inflect,
               python3-more-itertools,
               python3-pytest,
               python3-setuptools,
               python3-setuptools-scm,
               python3-six
Standards-Version: 4.6.0
Homepage: https://github.com/jaraco/jaraco.itertools
Vcs-Git: https://salsa.debian.org/python-team/packages/jaraco.itertools.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/jaraco.itertools
Rules-Requires-Root: no

Package: python3-jaraco.itertools
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Tools for working with iterables (Python 3)
 This module contains tools for working with Python iterables,
 complementing itertools and more_itertools.
 .
 This package contains the module for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=jaraco.itertools
export PYBUILD_BEFORE_TEST=cp {dir}/pytest.ini {build_dir}; cp {dir}/conftest.py {build_dir}
export PYBUILD_TEST_ARGS=jaraco/
export PYBUILD_AFTER_TEST=rm {build_dir}/pytest.ini; rm {build_dir}/conftest.py

%:
	dh $@ --with python3 --buildsystem=pybuild --test-pytest

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/jaraco.itertools/jaraco.itertools-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## jaraco.itertools 6.4.1

=== debian/changelog ===
jaraco.itertools (6.4.1-1) unstable; urgency=medium

  * Team upload.
  * [f40cdbb] d/watch: Adjust version to watch
  * [5e9e590] New upstream version 6.4.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 13 Aug 2023 20:24:39 +0200

jaraco.itertools (6.3.0-1) unstable; urgency=medium

  * Team upload.
  * [71eebaa] d/watch: Watch for tags on GitHub
  * [9c00b89] d/gbp.conf: Add some default configuration
  * [ad93631] New upstream version 6.3.0
  * [b207791] d/*: Running wrap-and-sort -ast
  * [38894a6] autopkgtest: There are no useful upstream tests
    Drop autopkgtests, there are no really useful things we could use.
  * [c4963bb] d/python3-jaraco.itertools.install: Drop sequencer
    This isn't needed any more, the file isn't shipped in recent versions.
  * [87d82e9] Drop patches from patch queue
    All modifications are obsolet by recent version.
  * [302e620] d/rules: Drop PYBUILD*TEST* variables
  * [001309d] d/control: Adjust/drop not needed B-D entries
  * [f0c33bd] d/README.source: Add some information about source code
  * [d6addac] python-jaraco.itertools-doc: Add some package preparation
  * [ea9477b] d/control: Update Standards-Version to 4.6.2
    No further changes needed.
  * [d3179ae] d/u/metadata: Adding FAQ entry
  * [1f7610c] d/copyright: Update copyright holder data
  * [fa97859] Lintian: Override hint about missing variable
  * [8d27b61] Rename .gitlab-ci.yml -> .salsa-ci.yml

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 25 Jun 2023 08:38:37 +0200

=== debian/control ===
Source: jaraco.itertools
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
# dh-sequence-sphinxdoc <!nodoc>,
# furo <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Standards-Version: 4.6.2
Homepage: https://github.com/jaraco/jaraco.itertools
Vcs-Git: https://salsa.debian.org/python-team/packages/jaraco.itertools.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/jaraco.itertools
Rules-Requires-Root: no

#Package: python-jaraco.itertools-doc
#Architecture: all
#Multi-Arch: foreign
#Section: doc
#Depends:
# ${misc:Depends},
# ${sphinxdoc:Depends},
#Description: Tools for working with iterables (Documentation)
# This module contains tools for working with Python iterables,
# complementing itertools and more_itertools.
# .
# This package contains the documentation.

Package: python3-jaraco.itertools
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
#Suggests:
# python-jaraco.itertools-doc,
Description: Tools for working with iterables (Python 3)
 This module contains tools for working with Python iterables,
 complementing itertools and more_itertools.
 .
 This package contains the module for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"

export PYBUILD_NAME=jaraco.itertools
export PYBUILD_DISABLE=test

%:
	dh $@ --buildsystem=pybuild

# Not used currently, please look into debian/README.source.
override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html $(SPHINXOPTS) docs/ $(CURDIR)/debian/python-jaraco.itertools-doc/usr/share/doc/python-jaraco.itertools-doc/html
	dh_sphinxdoc
endif

## jaraco.itertools 6.4.3

=== debian/changelog ===
jaraco.itertools (6.4.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add explicit build-dependency on python3-more-itertools.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Tue, 09 Sep 2025 10:04:43 +0100

jaraco.itertools (6.4.1-2) unstable; urgency=medium

  * Team upload.
  * [9f012a8] d/control: build-dep on setuptools-scm to fix wrong "0.0.0" version
  * [cb763dc] Enable testing using pytest & python3-inflect
  * [93a50ef] d/control: upgrade to using Testsuite: autopkgtest-pkg-pybuild

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 25 Apr 2024 21:13:22 +0300

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,19 @@
  dh-sequence-python3,
 # dh-sequence-sphinxdoc <!nodoc>,
 # furo <!nodoc>,
+ python3-pytest <!nocheck>,
+ python3-inflect <!nocheck>,
+ python3-more-itertools <!nocheck>,
  pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.6.2
+ python3-setuptools-scm,
+Standards-Version: 4.7.2
 Homepage: https://github.com/jaraco/jaraco.itertools
 Vcs-Git: https://salsa.debian.org/python-team/packages/jaraco.itertools.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/jaraco.itertools
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 #Package: python-jaraco.itertools-doc
 #Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"
 
 export PYBUILD_NAME=jaraco.itertools
-export PYBUILD_DISABLE=test
+export PYBUILD_TEST_ARGS=--pyargs jaraco.itertools
 
 %:
 	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/jaraco/jaraco.itertools.git \
      refs/tags/v@ANY_VERSION@
